petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMNetworkGetNumComponents

Get the number of components at a vertex/edge

### Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkGetNumComponents(DM dm,PetscInt p,PetscInt *numcomponents)

Not Collective Many br

### Input Parameters

| dm | - The DMNetwork object Many br
| p | - vertex/edge point Many br

### Output Parameters

| numcomponents | - Number of components at the vertex/edge Many br

Many br

### See Also

DMNetworkRegisterComponent, DMNetworkAddComponent

Level:intermediate
Location:src/dm/impls/network/network.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages